##### 7.5.4.0. isRational

Procedure from library `dmod.lib` (see dmod_lib).

Usage:
  isRational(n); n number

Return:
  int

Purpose:
  determine whether n is a rational number,
  that is it does not contain parameters.

Assume:
  ground field is of characteristic 0

Example:

    LIB "dmod.lib";
    ring r = (0,a),(x,y),dp;
    number n1 = 11/73;
    isRational(n1);
    ==> 1
    number n2 = (11*a+3)/72;
    isRational(n2);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.